void setupDACADC()
{

  //Setup ADC

  // ADC0 - CV INPUTS
  adc->adc0->setAveraging(1); // set number of averages
  adc->adc0->setResolution(12); // set bits of resolution
  adc->adc0->setConversionSpeed(ADC_CONVERSION_SPEED::LOW_SPEED);
  adc->adc0->setSamplingSpeed(ADC_SAMPLING_SPEED::LOW_SPEED);
  //launch ADC0 - CVs
  adc->startSingleRead(bitsCV, ADC_0);

  // setup "Timer" slow timer for CV sampling
  sampleTimeCV = micros();
  cvSampleRate = 255; // measure every 255 uSec

  // ADC1 - AUDIO INPUT
  adc->adc1->setAveraging(1);
  adc->adc1->setResolution(12);
  adc->adc1->setConversionSpeed(ADC_CONVERSION_SPEED::HIGH_SPEED);
  adc->adc1->setSamplingSpeed(ADC_SAMPLING_SPEED::HIGH_SPEED);
  adc->startContinuous(audioIN, ADC_1);
}
